Loading...
Searching...
No Matches
apr_finfo_t Struct Reference
Apache Portability Runtime library » File Information » Stat Functions

`#include <apr_file_info.h>`

## Data Fields

apr_pool_t * | pool
apr_int32_t | valid
apr_fileperms_t | protection
apr_filetype_e | filetype
apr_uid_t | user
apr_gid_t | group
apr_ino_t | inode
apr_dev_t | device
apr_int32_t | nlink
apr_off_t | size
apr_off_t | csize
apr_time_t | atime
apr_time_t | mtime
apr_time_t | ctime
const char * | fname
const char * | name
struct apr_file_t * | filehand

## Detailed Description

The file information structure. This is analogous to the POSIX stat structure.

## Field Documentation

## atime

apr_time_t apr_finfo_t::atime

The time the file was last accessed

## csize

apr_off_t apr_finfo_t::csize

The storage size consumed by the file

## ctime

apr_time_t apr_finfo_t::ctime

The time the file was created, or the inode was last changed

## device

apr_dev_t apr_finfo_t::device

The id of the device the file is on.

## filehand

struct apr_file_t* apr_finfo_t::filehand

Unused

## filetype

apr_filetype_e apr_finfo_t::filetype

The type of file. One of APR_REG, APR_DIR, APR_CHR, APR_BLK, APR_PIPE, APR_LNK or APR_SOCK. If the type is undetermined, the value is APR_NOFILE. If the type cannot be determined, the value is APR_UNKFILE.

## fname

const char* apr_finfo_t::fname

The pathname of the file (possibly unrooted)

## group

apr_gid_t apr_finfo_t::group

The group id that owns the file

## inode

apr_ino_t apr_finfo_t::inode

The inode of the file.

## mtime

apr_time_t apr_finfo_t::mtime

The time the file was last modified

## name

const char* apr_finfo_t::name

The file's name (no path) in filesystem case

## nlink

apr_int32_t apr_finfo_t::nlink

The number of hard links to the file.

## pool

apr_pool_t* apr_finfo_t::pool

Allocates memory and closes lingering handles in the specified pool

## protection

apr_fileperms_t apr_finfo_t::protection

The access permissions of the file. Mimics Unix access rights.

## size

apr_off_t apr_finfo_t::size

The size of the file

## user

apr_uid_t apr_finfo_t::user

The user id that owns the file

## valid

apr_int32_t apr_finfo_t::valid

The bitmask describing valid fields of this apr_finfo_t structure including all available 'wanted' fields and potentially more

The documentation for this struct was generated from the following file:

- apr_file_info.h